
package LazyLRSEvaluators;

import LRStructure.*;
public class LazyIncEval extends ALazyEval
{
	int val;
	int increment;

	public LazyIncEval(int val, int increment)
	{
		this.val = val;
		this.increment = increment;
	}


	public final LRStruct nextLRS()
	{
		val += increment;
		return makeLRS ();
	}

	public final LRStruct makeLRS()
	{
		return makeLazyLRS (new Integer(val));
	}
}

